Skip site navigation (1) Skip section navigation (2)

Re: BUG #4662: make failed using MinGW under WinXP

From: Pavel Golub <pavel(at)microolap(dot)com>
To: pgsql-bugs(at)postgresql(dot)org
Subject: Re: BUG #4662: make failed using MinGW under WinXP
Date: 2009-04-13 06:10:45
Message-ID: 286340713.20090413091045@gf.microolap.com (view raw or flat)
Thread:
Lists: pgsql-bugs
Guys, did anyone looked on this annoying problem? I beleive it may be
solved by using compiler directive only, e.g. #ifdef __MINGW__ or
whatever. I just have no idea what directive used for MinGW
(Windows?).

You wrote:

PG> The following bug has been logged online:

PG> Bug reference:      4662
PG> Logged by:          Pavel Golub
PG> Email address:      pavel(dot)golub(at)gf(dot)microolap(dot)com
PG> PostgreSQL version: 8.4
PG> Operating system:   Windows XP SP3
PG> Description:        make failed using MinGW under WinXP
PG> Details: 

PG> $ make

PG> We got an error:

PG> ...
PG> In file included from
PG> e:/mingw/bin/../lib/gcc/mingw32/3.4.5/../../../../include/security.h:38,
PG> from libpq-int.h:57,
PG> from fe-auth.h:18,
PG> from fe-auth.c:48:
PG> e:/mingw/bin/../lib/gcc/mingw32/3.4.5/../../../../include/sspi.h:60: error:
PG> syntax error before “SECURITY_STRING”
PG> In file included from
PG> e:/mingw/bin/../lib/gcc/mingw32/3.4.5/../../../../include/security.h:39,
PG> from libpq-int.h:57,
PG> from fe-auth.h:18,
PG> from fe-auth.c:48:
PG> e:/mingw/bin/../lib/gcc/mingw32/3.4.5/../../../../include/ntsecpkg.h:123:
PG> error: syntax error before “SECURITY_STRING”
PG> …

PG> This issue was discussed in the Hackers PostgreSQL mailing list and
PG> discussion could be found in the archive
PG> (http://postgresqlorg.blogspot.com/2008/09/hackers-83-4-vista-mingw-initdb.h
PG> tml).

PG> The solution is to add an additional header file to
PG> postgresql/src/include/libpq/libpq-be.h
PG> and
PG> postgresql/src/interfaces/libpq/libpq-int.h:

PG> …
PG> #ifdef ENABLE_SSPI
PG> #define SECURITY_WIN32
PG> #include <ntsecapi.h> <——- Add this include
PG> #include <security.h>
PG> #undef SECURITY_WIN32
PG> …

PG> Just interesting, will this patch be present in 8.4.x branch of PostgreSQL
PG> sources?




-- 
With best wishes,
 Pavel                          mailto:pavel(at)gf(dot)microolap(dot)com


In response to

pgsql-bugs by date

Next:From: Magnus HaganderDate: 2009-04-13 10:23:43
Subject: Re: libpq 8.4 beta1: $PGHOST complains about missing root.crt
Previous:From: Hiroshi InoueDate: 2009-04-13 01:49:39
Subject: Re: libpq 8.4 beta1: $PGHOST complains about missing root.crt

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group